# EGLSurface (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EGLSurface

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opengles.EGLSurface

All Implemented Interfaces:
  PointerWrapper

    public final class EGLSurface

extends PointerWrapperAbstract

EGLSurface wrapper class.

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Method Summary
`void` `destroy()` Destroys this EGL surface.
`boolean` `equals(java.lang.Object obj)`
`int` `getAttribute(int attribute)` Returns the value of the specified EGL surface attribute.
`EGLConfig` `getConfig()` Returns the EGL config associated with this EGL surface.
`EGLDisplay` `getDisplay()` Returns the EGL display from which this EGL surface was created.
`void` `swapBuffers()`

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, getPointer, hashCode, isValid, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getDisplay

    public EGLDisplay getDisplay()

  Returns the EGL display from which this EGL surface was created.

  Returns:
    the EGL display

### getConfig

    public EGLConfig getConfig()

  Returns the EGL config associated with this EGL surface.

  Returns:
    the EGL config

### destroy

    public void destroy()
                 throws LWJGLException

  Destroys this EGL surface.

  Throws:
    `LWJGLException`

### getAttribute

    public int getAttribute(int attribute)
                     throws LWJGLException

  Returns the value of the specified EGL surface attribute.

  Parameters:
    `attribute` - the surface attribute
  Returns:
    the attribute value
  Throws:
    `LWJGLException`

### swapBuffers

    public void swapBuffers()
                     throws LWJGLException,
                            PowerManagementEventException

  Throws:
    `LWJGLException`
    `PowerManagementEventException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PointerWrapperAbstract`

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.